polar_fft_test.c File Reference

NFFT-based polar FFT and inverse. More...

`#include <math.h>`
`#include <stdlib.h>`
`#include <complex.h>`
`#include "nfft3mp.h"`
Include dependency graph for polar_fft_test.c:

Go to the source code of this file.

## Functions

static int | polar_grid (int T, int S, NFFT_R *x, NFFT_R *w)
| Generates the points with weights for the polar grid with angles and offsets. More...
static int | polar_dft (NFFT_C *f_hat, int NN, NFFT_C *f, int T, int S, int m)
| discrete polar FFT
static int | polar_fft (NFFT_C *f_hat, int NN, NFFT_C *f, int T, int S, int m)
| NFFT-based polar FFT.
static int | inverse_polar_fft (NFFT_C *f, int T, int S, NFFT_C *f_hat, int NN, int max_i, int m)
| inverse NFFT-based polar FFT
int | main (int argc, char **argv)
| test program for various parameters

## Detailed Description

NFFT-based polar FFT and inverse.

Computes the NFFT-based polar FFT and its inverse for various parameters.

Author
  Markus Fenn

Date
  2006

Definition in file polar_fft_test.c.